// Copyright 2014 Miloš Vukov, BSD-style copyright and disclaimer apply
var Diploma;
(function (Diploma) {
    /** Custom errors. */
    (function (Core) {
        /** The error that is thrown when a requested method or operation is not implemented. */
        var NotImplementedError = (function () {
            function NotImplementedError(message) {
                this.message = message;
                this.name = "NotImplementedError";
            }
            return NotImplementedError;
        })();
        Core.NotImplementedError = NotImplementedError;

        /** The error that is thrown when an invoked method is not supported. */
        var OperationNotSupportedError = (function () {
            function OperationNotSupportedError(message) {
                this.message = message;
                this.name = "OperationNotSupportedError";
            }
            return OperationNotSupportedError;
        })();
        Core.OperationNotSupportedError = OperationNotSupportedError;
    })(Diploma.Core || (Diploma.Core = {}));
    var Core = Diploma.Core;
})(Diploma || (Diploma = {}));
//# sourceMappingURL=Exceptions.js.map
