// Copyright 2014 Miloš Vukov, BSD-style copyright and disclaimer apply
// Debug
function LogController(controller, id) {
    controller.on('connect', function () {
        console.log("connect:" + id);
    });
    controller.on('disconnect', function () {
        console.log("disconnect:" + id);
    });
    controller.on('ready', function () {
        console.log("ready:" + id);
    });
    controller.on('focus', function () {
        console.log("focus:" + id);
    });
    controller.on('blur', function () {
        console.log("blur:" + id);
    });
    controller.on('protocol', function () {
        console.log("protocol:" + id);
    });
    controller.on('deviceConnect', function () {
        console.log("deviceConnect:" + id);
    });
}

// Initialize eventagregator
Diploma.Core.EventAggregator.Initialize();

// Initialize calibration
Diploma.Core.FineCalibration.Default().Initialize();
Diploma.Core.Pointer.Default();

// Initialize controller
var _controller = new Leap.Controller({ enableGestures: true });

//LogController(_controller, "content");
// Initialize motion listeners
var _movePointer = new Diploma.Motion.MovePointer();
_movePointer.Initialize(_controller);

var _navigate = new Diploma.Motion.Navigate();
_navigate.Initialize(_controller);

// Start to listen
_controller.connect();
//# sourceMappingURL=content.js.map
