declare function Debounce(func: () => any, threshold: number, execAsap: boolean);

declare var Leap: any;


declare class Options
{
    enableGestures: boolean;
}

declare class Controller
{
    history: Frame[];
    on: (type: string, listener: (frame) => void) => any;
    gesture: any;
}

declare class Frame
{
    id: number;
    gestures: Gesture[];
    fingers: Finger[];
    hands: Hand[];
}

declare class Hand
{
    direction: Array<number>;
    palmNormal: Array<number>;
}

declare class Finger
{
    direction: Array<number>;
    tipPosition: Array<number>;
    stabilizedTipPosition: Array<number>;
    handId: number;
    id: number;
    tipVelocity: any; // TODO
}

declare class Gesture
{
    id: number;
    type: any;
    state: any;
    direction: Array<number>;
    gestures: Array<Gesture>;
    pointableIds: Array<number>;
    pointable(id: number): Finger;
    lastFrame: Frame;
}

declare class SwipeGesture extends Gesture
{
    direction: Array<number>;
}



